Bug 59396 - "Bright Blue" Template: Footer is duplicated
Summary: "Bright Blue" Template: Footer is duplicated
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 07:16 UTC by Samuel Mehrbrodt (CIB)
Modified: 2013-01-18 09:44 UTC (History)
2 users (show)

See Also:


Attachments
Screenshot showing the Masterpage (37.79 KB, image/png)
2013-01-15 07:16 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2013-01-15 07:16:47 UTC
Created attachment 73052 [details]
Screenshot showing the Masterpage

See attached screenshot. The placeholders for Date/Time, Footer and Number on the Master page need to be there only once.
Comment 1 Joel Madero 2013-01-15 18:24:24 UTC
Please attach the actual document so we can take a look at it. Marking as NEEDINFO, once you attach the document please reopen the bug as UNCONFIRMED
Comment 2 Samuel Mehrbrodt (CIB) 2013-01-15 18:32:43 UTC
Oh sorry, the template is in the default set of Templates. 

You can find it also here: http://cgit.freedesktop.org/libreoffice/core/tree/extras/source/templates/layout

I think I can fix this myself, but please confirm that it's a bug first.
Comment 3 Joel Madero 2013-01-15 18:39:14 UTC
You see that by default? When I open that template I don't see any footer on there
Comment 4 Samuel Mehrbrodt (CIB) 2013-01-15 18:43:40 UTC
You can see it when you go to "View->Master->Slide Master".

When you edit the Footer via "View->Header and Footer" and enter a Date, some Footer text and check the "Slide number" checkbox you see the footer elements in the Slides.

There you can see that everything is duplicated.
Comment 5 Joel Madero 2013-01-15 18:55:34 UTC
Indeed - confirmed
Comment 6 Not Assigned 2013-01-17 16:27:24 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a51d18b5aec457b74bf4bf01d0363aab1dc0593

fdo#59396 Remove duplicate footer entries in "BrightBlue" Impress template



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2013-01-18 09:44:28 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9741ac18a32d0575fa5bc2d5391d3bb5e1c096a&h=libreoffice-4-0

fdo#59396 Remove duplicate footer entries in "BrightBlue" Impress template


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.